////////////////////////////////////////////
// 2009, Badics Alex, http://stickman.hu  //
////////////////////////////////////////////
unit main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type
  TForm1 = class(TForm)
    Timer1: TTimer;
    Label1: TLabel;
    Label2: TLabel;
    procedure Timer1Timer(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  transp:integer = 500;
implementation

{$R *.DFM}
const
  WS_EX_LAYERED = $80000;
  LWA_COLORKEY = 1;
  LWA_ALPHA    = 2;

type
  TSetLayeredWindowAttributes = function (
      hwnd : HWND;         // handle to the layered window
      crKey : TColor;      // specifies the color key
      bAlpha : byte;       // value for the blend function
      dwFlags : DWORD      // action
      ): BOOL; stdcall;

procedure SetTransparentForm(AHandle : THandle; AValue : byte = 0);
var
  Info: TOSVersionInfo;
  SetLayeredWindowAttributes: TSetLayeredWindowAttributes;
begin
  //Check Windows version
  Info.dwOSVersionInfoSize := SizeOf(Info);
  GetVersionEx(Info);
  if (Info.dwPlatformId = VER_PLATFORM_WIN32_NT) and
  (Info.dwMajorVersion >= 5) then
    begin
      SetLayeredWindowAttributes := GetProcAddress(GetModulehandle(user32), 'SetLayeredWindowAttributes');
       if Assigned(SetLayeredWindowAttributes) then
        begin
         SetWindowLong(AHandle, GWL_EXSTYLE, GetWindowLong(AHandle, GWL_EXSTYLE) or WS_EX_LAYERED);
         //Make form transparent
         SetLayeredWindowAttributes(AHandle, 0, AValue, LWA_ALPHA);
       end;
    end;
end;

procedure TForm1.Timer1Timer(Sender: TObject);
begin
 ShowWindow(Form1.Handle, SW_SHOWNOACTIVATE) ;
 //Form1.visible:=true;
 dec(transp,20);
 if transp<0 then
 begin
  transp:=0;
  close;
  exit;
 end;

 if transp<255 then
  SetTransparentForm(handle,transp);
end;

procedure TForm1.FormCreate(Sender: TObject);
var
i:integer;
str:string;
rWorkArea: TRect;
begin
SetWindowLong(application.handle, GWL_EXSTYLE, getWindowLong(Application.Handle, GWL_EXSTYLE) or WS_EX_TOOLWINDOW) ;
SetTransparentForm(handle,255);
str:='';
for i:=1 to paramcount do
 str:=str+paramstr(i)+' ';
Label2.Caption:=extractfilename(str);

SystemParametersInfo(SPI_GETWORKAREA, 0, @rWorkArea, 0) ;
top:=rWorkarea.bottom-height;
left:=rWorkarea.right-width;
end;

end.
